[Frage] Neues Inhaltselement anlegen liefert "Fatal error: Class 'FluidTYPO3\Fluidcontent..." TYPO3-Version: 7.6.9

  • Schwerus Schwerus
    R2-D2
    0 x
    106 Beiträge
    0 Hilfreiche Beiträge
    19. 11. 2016, 17:08

    ... aber nur im Seiten-Modul!

    Hallo Leute,

    das Problem ist einfach beschrieben, aber ich habe null Idee, wo ich da ansetzen soll:

    Legt man im im Backend per Seitenmodul ein neues Inhaltselement an, kommt:


    [i]Fatal error: Class 'FluidTYPO3\Fluidcontent\Hooks\WizardItemsHookSubscriber' not found in /WWWROOT/249480/htdocs/typo3conf/ext/fluidcontent_core/Classes/Hooks/WizardItemsHookSubscriber.php on line 17[/i]

    Legt man auf der gleichen Seite ein neues Inhaltselement per [b]LIST-Modul[/b] an, funxt es reibungslos!?!

    Was kann da die Ursache sein?

    Wie immer: Thx in advance


    Schwerus

    Projekt mit der größten Brüller-Dichte: http://www.thedailyschwerus.com - natürlich inkl. eigener Templates für Smartphones

    - Der Vollständigkeit halber: "Certified TYPO3 Integrator"


  • 1
  • toifel toifel
    Jedi-Ratsmitglied
    0 x
    831 Beiträge
    96 Hilfreiche Beiträge
    23. 11. 2016, 09:47

    Die Ursache ist ziemlich sicher die EXT:fluidcontent_core ;)
    Zumindest im GIT der Extension kann ich den Fehler nicht nachvollziehen.. vielleicht hast du eine veraltete Version?
    https://github.com/FluidTYPO3/fluidcontent/releases

  • Schwerus Schwerus
    R2-D2
    0 x
    106 Beiträge
    0 Hilfreiche Beiträge
    23. 11. 2016, 17:25

    Hi und thx für die Antwort!

    Allerdings gibt es im TER nur genau die Version der Extension, die auch in der Distri meines Providers enthalten war, nämlich die 1.4.0 beta

    https://typo3.org/extensions/repository/view/fluidcontent_core

    Normweise installiere ich die Cores from the scratch, diesmal allerdings hab ich das Angebot des Providers gewählt. Das wäre also ein Ansatzpunkt gewesen, hier mal nachzuschauen...

    Das scheint aber dann doch kein Ansatzpunkt zu sein...

    Projekt mit der größten Brüller-Dichte: http://www.thedailyschwerus.com - natürlich inkl. eigener Templates für Smartphones

    - Der Vollständigkeit halber: "Certified TYPO3 Integrator"

  • toifel toifel
    Jedi-Ratsmitglied
    0 x
    831 Beiträge
    96 Hilfreiche Beiträge
    25. 11. 2016, 16:09

    Mein Fehler!
    Mein Link gehörte zur "fluidcontent" Extension und dein Fehler kam ja aus der "fluidcontent_core".. sorry.

    Hast du denn überhaupt beide Extensions installiert? Typo3 macht das nicht automatisch, weil "fluidcontent" nicht in den dependencies von "fluidcontent_core" gelistet ist. Das sieht für mich nach einem Bug in der https://github.com/FluidTYPO3/fluidcontent_core/blob/development/ext_emconf.php aus.. der Hook kann ohne diese dependency nicht funktionieren.

    Verantwortlich ist diese Zeile:

    1. class WizardItemsHookSubscriber extends \FluidTYPO3\Fluidcontent\Hooks\WizardItemsHookSubscriber implements NewContentElementWizardHookInterface

    Sieht also so aus, als wäre die EXT:fluidcontent bei dir noch gar nicht installiert.

  • Schwerus Schwerus
    R2-D2
    0 x
    106 Beiträge
    0 Hilfreiche Beiträge
    06. 12. 2016, 17:01

    Das Installieren von "fluidcontet" hat das Prob mit dem Seiten-Modul gelöst.
    (Das Beste hatte ich vergessen zu schreiben, nämlich, dass das Erstellen neuer Inhalte über das Page-Modul anfangs problemlos funktioniert hatte...)


    Leider gibt es endlos-nervend weitere, so z.B.

    FluidTYPO3\Fluidcontent\Backend\TableConfigurationPostProcessor" must implement interface TYPO3\CMS\Core\Database\TableConfigurationPostProcessingHookInterface

    beim Versuch, die Extension zu installieren - hier half nur ein Löschen des Typo3temp-Folders

    Fluidcontent_core hatte ich zwischenzeitlich testweise deaktiviert (Vers. 1.40).
    Beim Insten kommt jetzt ein unfasslicher Error bezglich der Dependencies:

    [b]"Erweiterung installieren[/b]
    [b][/b]
    [b]Die folgenden Fehler wurden gefunden als versucht wurde, "fluidcontent_core" zu installieren:[/b]
    [b][/b]
    [b]Benötigte Erweiterung "flux":[/b]
    [b]The extension flux is installed in version 7.4.0 but needed in version 7.2.0 - 7.3.99[/b]
    [b]Benötigte Erweiterung "vhs":[/b]
    [b]The extension vhs is installed in version 3.0.1 but needed in version 2.1.0 - 2.4.99[/b]


    Das findet sich zwar im Bugtracker in ähnlicher Weise, doch ist der Thread uralt und bezog sich auf Versionen 6.x.x
    Auch hier der "Witz": Die Extension war ja zuvor schon aktiviert, lief also - trotz o.G....

    Projekt mit der größten Brüller-Dichte: http://www.thedailyschwerus.com - natürlich inkl. eigener Templates für Smartphones

    - Der Vollständigkeit halber: "Certified TYPO3 Integrator"

  • 1